# $Revision: 1.37 $, $Date: 2010/06/06 08:30:11 $
#
# Conditional build:
%bcond_with	tests	# perform "make test". starts test httpd service
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Scoreboard
Summary:	Apache::Scoreboard - Perl interface to the Apache scoreboard structure
Summary(pl.UTF-8):	Apache::Scoreboard - perlowy interfejs do struktury scoreboard Apache'a
Name:		perl-Apache-Scoreboard
Version:	2.09.2
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	df133feb853c4ef743557e6621adcc3f
BuildRequires:	apache-mod_perl-devel
BuildRequires:	apr-devel >= 1:1.0
BuildRequires:	apr-util-devel >= 1:1.0
BuildRequires:	perl-Apache-Test
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-mod_perl
%if %{with tests}
BuildRequires:	perl-Chart-PNGgraph
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache keeps track of server activity in a structure known as the
scoreboard. There is a slot in the scoreboard for each child server,
containing information such as status, access count, bytes served and
cpu time. This same information is used by mod_status to provide
current server statistics in a human readable form.

%description -l pl.UTF-8
Apache śledzi aktywność serwera w strukturze znanej jako scoreboard. W
scoreboard znajduje się slot dla każdego serwera potomnego,
zawierający informacje takie jak stan, liczba klientów, wysłanych
bajtów i zajęty czas procesora. Te same informacje są używane przez
mod_status do udostępniania aktualnych statystyk w postaci czytelnej
dla człowieka.

%prep
%setup -q -n %{pdir}-%{pnam}-2.09

%build
INC="-I/usr/include/apache $(apr-1-config --includes) $(apu-1-config --includes)"
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INC="$INC"
cd Dummy
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INC="$INC"
cd ..
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Apache/Scoreboard/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Apache/*.pm
%dir %{perl_vendorarch}/auto/Apache
%dir %{perl_vendorarch}/auto/Apache/Scoreboard
%attr(755,root,root) %{perl_vendorarch}/auto/Apache/Scoreboard/*.so
%{perl_vendorarch}/auto/Apache/Scoreboard/*.bs
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Scoreboard.spec,v $
Revision 1.37  2010/06/06 08:30:11  arekm
- release 2

Revision 1.36  2009/11/12 18:53:29  amateja
- added BR: perl-Apache-Test

Revision 1.35  2009/11/12 18:45:58  amateja
- added BR: perl-mod_perl

Revision 1.34  2009/06/15 08:46:08  amateja
- updated to 2.09.2

Revision 1.33  2008/04/23 12:48:13  radek
- release 7: vendorarch/auto/Apache moved to perl-dirs

Revision 1.32  2008-03-03 09:40:52  arekm
- rel 6; include two dirs into package

Revision 1.31  2008-03-03 09:04:51  arekm
- release 5

Revision 1.30  2008-02-23 19:45:54  glen
- release 4

Revision 1.29  2008-02-10 11:58:48  arekm
- rel 3

Revision 1.28  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.27  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:21  baggins
- converted to UTF-8

Revision 1.25  2006/02/16 18:00:08  glen
- without tests, rel 2

Revision 1.24  2006/02/15 21:44:46  glen
- updated to 2.08, builds with current mod_perl

Revision 1.23  2005/01/09 14:09:59  adamg
- updated to 2.03

Revision 1.22  2004/12/01 23:17:42  qboosh
- now it needs apr 1

Revision 1.21  2004/12/01 12:34:19  radek
- release 2: BR: apache-mod_perl

Revision 1.20  2004/12/01 12:21:44  radek
- version 2.02

Revision 1.19  2004/11/03 19:36:55  paladine
- formatting

Revision 1.18  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.16  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.15  2004/04/11 10:53:56  migo
- up to 2.01 (apache2)

Revision 1.14  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.13  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.10  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/02/27 20:44:40  ankry
fixed BR

Revision 1.8  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:25:53  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/10/23 09:28:28  qboosh
- BR: apache-mod_perl (needed), perl-Chart-PNGgraph (for autoreqdeps)

Revision 1.5  2002/10/12 13:44:46  radek
- removed _noautoreq; Chart::PNGgraph _is_ needed
- release 5

Revision 1.4  2002/09/14 16:22:51  ankry
- fix attributes for %%doc files, release 4

Revision 1.3  2002/09/09 20:29:09  qboosh
- pl description, release 3

Revision 1.2  2002/09/04 11:18:39  radek
- it's not noarch; release++

Revision 1.1  2002/09/04 08:44:19  radek
- new, STBR
